package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 分流结果对象 m_adjust_result
 * 
 * @author zewei
 * @date 2022-03-26
 */
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AdjustResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 分流批次 */
    @Excel(name = "分流批次")
    private String batchId;

    /** 学生 */
    @Excel(name = "学生")
    private String studentId;

    @Excel(name = "学生名称")
    private String studentName;

    /** 录取专业 */
    private String admitMajorId;

    /** 是否特殊审批 */
    @Excel(name = "是否特殊审批")
    private Long specialFlag;

    /** 是否调剂分配 */
    @Excel(name = "是否调剂分配")
    private Long adjustFlag;


    /** 学院id */
    @Excel(name = "学院id")
    private Long collegeId;

    /** 年份 */
    private String year;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public void setBatchId(String batchId)
    {
        this.batchId = batchId;
    }

    public String getBatchId() 
    {
        return batchId;
    }
    public void setStudentId(String studentId) 
    {
        this.studentId = studentId;
    }

    public String getStudentId() 
    {
        return studentId;
    }
    public void setAdmitMajorId(String admitMajorId) 
    {
        this.admitMajorId = admitMajorId;
    }

    public String getAdmitMajorId() 
    {
        return admitMajorId;
    }
    public void setSpecialFlag(Long specialFlag) 
    {
        this.specialFlag = specialFlag;
    }

    public Long getSpecialFlag() 
    {
        return specialFlag;
    }
    public void setAdjustFlag(Long adjustFlag) 
    {
        this.adjustFlag = adjustFlag;
    }

    public Long getAdjustFlag() 
    {
        return adjustFlag;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }

    public String getYear() {
        return year;
    }

    public void setYear(String year) {
        this.year = year;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("batchId", getBatchId())
            .append("studentId", getStudentId())
            .append("admitMajorId", getAdmitMajorId())
            .append("specialFlag", getSpecialFlag())
            .append("adjustFlag", getAdjustFlag())
            .append("collegeId", getCollegeId())
            .append("year", getYear())
            .toString();
    }
}
